.TH dbm_fetch() "" "" "NDBM Function (libgdbm)"
.PC "Fetch a record from an NDBM data base"
.B "#include <ndbm.h>"
\fBdatum dbm_fetch (\fIdatabase\^\fB, \fIkey\^\fB)\fR
\fBDBM *\fIfile\^\fB;\fR
\fBdatum \fIkey\^\fB;\fR
.PP
Function
.B dbm_fetch()
retrieves from
.I database
the record with the given
.IR key .
.I database
must first have been opened through a call to function
.BR dbm_open() .
.PP
.B dbm_fetch()
returns the address of the record it has retrieved.
It returns NULL
either if something went wrong (e.g., it could not read
.IR database ),
or if
.I database
does not contain a record with
.IR key .
.SH "See Also"
.XR "dbm_open()," dbm_open
.XR "ndbm.h," ndbm.h
.XR "libgdbm" libgdbm
.SH Notes
For a statement of copyright and permissions on this routine, see the
Lexicon entry for
.BR libgdbm .
